## percona-server-5.1 5.1.66-rel14.1-495.oneiric

=== debian/changelog ===
percona-server-5.1 (5.1.66-rel14.1-495.oneiric) oneiric; urgency=low

  * Update distribution

 -- Ignacio Nin <ignacio.nin@percona.com>  Wed, 24 Oct 2012 21:32:14 -0700
