=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 TMP=$(CURDIR)/debian/tmp/
 
-major_version_default=13
-minor_version_default=2
+major_version_default=14
+minor_version_default=1
 
 ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 ARCH_OS = $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
