## percona-server-5.1 5.1.73-rel14.11-603.lucid

=== debian/changelog ===
percona-server-5.1 (1:5.1.73-rel14.11-603.lucid) lucid; urgency=low

  * Update distribution

 -- Alexey Bychko <alexey.bychko@percona.com>  Thu, 19 Dec 2013 06:26:52 +0000

percona-server-5.1 (5.1.73-rel14.11) unstable; urgency=low

  * Percona Server 5.1 release 14.11

 -- Alexey Bychko <alexey.bychko@percona.com> Thu, 19 Dec 2013 12:30:00 +0700

percona-server-5.1 (5.1.72-rel14.10) unstable; urgency=low

  * Added --error-handler=: to dh_installinit in order to
    avoid an error when the server wouldn't start for any
    reasons other than bad installation.

 -- Ignacio Nin <ignacio.nin@percona.com>  Wed, 24 Jul 2013 11:20:00 -0300
