=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 TMP=$(CURDIR)/debian/tmp/
 
 major_version_default=14
-minor_version_default=1
+minor_version_default=11
 
 ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 ARCH_OS = $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
@@ -28,8 +28,14 @@
 
 MAKE_J = -j$(shell if [ -f /proc/cpuinfo ] ; then grep -c processor.* /proc/cpuinfo ; else echo 1 ; fi)
 ifeq (${MAKE_J}, -j0)
-  MAKE_J = -j1
-endif
+  MAKE_J = -j4
+endif
+ifeq ($(MYSQL_BUILD_MAKE_JFLAG),)
+  MAKE_JFLAG = $(MAKE_J)
+else
+  MAKE_JFLAG = $(MYSQL_BUILD_MAKE_JFLAG)
+endif
+
 MYSQL_SRC = $(shell pwd)
 
 MAKE_TEST_TARGET=test-force
@@ -99,7 +105,7 @@
 		--with-libwrap \
 		--with-readline \
 		$(USE_STATIC_MYSQLD) \
-		--with-ssl \
+		--with-ssl=/usr \
 	    	--without-docs \
 		--with-extra-charsets=all \
 		--with-plugins=partition,archive,blackhole,csv,example,federated,innodb_plugin \
@@ -118,8 +124,8 @@
 build-stamp: configure
 	dh_testdir
 
-	$(MAKE) $(MAKE_J)
-ifeq ($(findstring nocheck,$(DEB_BUILD_OPTIONS)),)
+	$(MAKE) $(MAKE_JFLAG)
+ifneq ($(findstring check,$(DEB_BUILD_OPTIONS)),)
 	if [ ! -f testsuite-stamp ] ; then \
 	  $(MAKE) $(MAKE_TEST_TARGET) || $(TESTSUITE_FAIL_CMD) ; \
 	fi
@@ -191,15 +197,15 @@
 	# build HandlerSockect
 	cd storage/HandlerSocket-Plugin-for-MySQL && \
 	./autogen.sh && \
-	CXX=g++ ./configure --with-mysql-source="$(MYSQL_SRC)" \
+	CXX="$${HS_CXX:-g++}" ./configure --with-mysql-source="$(MYSQL_SRC)" \
 	--with-mysql-bindir="$(MYSQL_SRC)/scripts" \
 	--with-mysql-plugindir="/usr/lib/mysql/plugin" \
 	--libdir="/usr/lib" \
 	--prefix="/usr" && \
-	$(MAKE)
+	$(MAKE) $(MAKE_JFLAG)
 	cd storage/HandlerSocket-Plugin-for-MySQL && $(MAKE) install DESTDIR=$(TMP)/
 	# build Maatkit UDF
-	cd UDF/ && CXX=g++ ./configure --includedir=$(MYSQL_SRC)/include --libdir=/usr/lib/mysql/plugin && $(MAKE) all && $(MAKE) install DESTDIR=$(TMP)/
+	cd UDF/ && CXX="$${UDF_CXX:-g++}" ./configure --includedir=$(MYSQL_SRC)/include --libdir=/usr/lib/mysql/plugin && $(MAKE) all && $(MAKE) install DESTDIR=$(TMP)/
 		
 	# After installing, remove rpath to make lintian happy.
 	set +e; \
@@ -230,9 +236,7 @@
 
 	# percona-server-client
 	install -m 0755 debian/additions/mysqlreport $(TMP)/usr/bin/
-	install -m 0755 debian/additions/innotop/innotop $(TMP)/usr/bin/
-	install -m 0644 debian/additions/innotop/innotop.1 $(TMP)/usr/share/man/man1/
-	install -m 0644 -D debian/additions/innotop/InnoDBParser.pm $(TMP)/usr/share/perl5/InnoDBParser.pm
 
 	# percona-server-server
 	install -m 0755 scripts/mysqld_safe $(TMP)/usr/bin/mysqld_safe
+	mkdir -p $(TMP)/usr/share/doc/percona-server-server-5.1/examples
