## percona-server-5.1 5.1.73-rel14.11-603.squeeze

=== debian/changelog ===
percona-server-5.1 (5.1.73-rel14.11-603.squeeze) squeeze; urgency=low

  * Update distribution

 -- Alexey Bychko <alexey.bychko@percona.com>  Thu, 19 Dec 2013 01:26:46 -0500
